Bug 278171 - crash in in camel_certdb_save at camel-certdb.c:371
crash in in camel_certdb_save at camel-certdb.c:371
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: 285131 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-09-05 06:35 EDT by Matthew Barnes
Modified: 2008-02-15 21:08 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.12.3-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-15 21:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 445309 None None None Never

  None (edit)
Description Matthew Barnes 2007-09-05 06:35:22 EDT
Moving this here from an upstream bug:

I commented:

"Not only are all the dupes from Fedora, all but the very first dupe (bug
#445386) are from Fedora 7.  The first dupe is Fedora 8 Development, filed in
early June.  It makes me wonder if perhaps there was a glitch in glibc that got
fixed shortly after Fedora 7 was released.  I'll sift through ChangeLogs and
look for clues."


All of the upstream duplicates appear to have the following stack trace:

#0  0x0000003d3640d89f in __libc_waitpid (pid=8983, stat_loc=0x7fff100d529c, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:41
#1  0x000000397c257c97 in libgnomeui_segv_handle (signum=11)
    at gnome-ui-init.c:872
#2  <signal handler called>
#3  0x0000003d3640d257 in fsync () from /lib64/libpthread.so.0
#4  0x000000397e218723 in camel_certdb_save (certdb=0x7a92e0)
    at camel-certdb.c:371
#5  0x000000397e2418df in camel_shutdown () at camel.c:68
#6  0x0000003d34033439 in *__GI_exit (status=0) at exit.c:75
#7  0x0000003d3401daab in __libc_start_main (main=0x417780 <main>, argc=2, 
    ubp_av=0x7fff100d58e8, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff100d58d8) at libc-start.c:254
#8  0x000000000040b759 in _start ()
Comment 1 Matthew Barnes 2007-11-22 09:37:00 EST
*** Bug 285131 has been marked as a duplicate of this bug. ***
Comment 2 Matthew Barnes 2007-11-22 10:11:54 EST
Comment from upstream:

   "Just to note that I'm using now Evolution 2.12 from Fedora 8 and I do
    not have this bug anymore."

Waiting for a couple more confirmations before closing.
Comment 3 Martin Jürgens 2007-11-22 10:17:37 EST
The backtrace I posted in bug 285131 was created using Fedora 8, and it ships
Evolution 2.12 as far as I know. So it did occur to me using Evolution 2.12.

If 2.12 has been shipped in the -updates repository one of the last days, then
the problem might have gone for me.
Comment 4 Martin Jürgens 2007-12-13 15:38:41 EST
Just reappeard to me. See last comment #134 on
Comment 5 Martin Jürgens 2008-01-23 09:58:44 EST
Here, http://bugzilla.gnome.org/show_bug.cgi?id=445309 a patch is available.
Would be nice to have it backported to F8, but I do not encounter it very often.
Comment 6 Matthew Barnes 2008-01-23 10:45:39 EST
I'll push this to Testing as evolution-data-server-1.12.3-2.fc8, but it's gonna
live there for awhile until I'm sure the patch actually fixes the crash.
Comment 7 Martin Jürgens 2008-01-23 13:05:39 EST
Comment 8 Fedora Update System 2008-01-27 02:19:07 EST
evolution-data-server-1.12.3-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update evolution-data-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F8/FEDORA-2008-1055
Comment 9 Fedora Update System 2008-02-15 21:08:50 EST
evolution-data-server-1.12.3-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.